---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: reactjs-simple-ingress
spec:
  entryPoints:
    - metrics
    - tcp
    - web
    - websecure
  routes:
    - match: Host(`staging.example.com`) && PathPrefix(`/`)
      kind: Rule
      services:
        - name: reactjs-simple
          port: 80
      priority: 1
  tls:
    secretName: tls-reactjs-simple-ingress-http
